Bug 510316 - Firefox reports 'unable to contact' web site.
Firefox reports 'unable to contact' web site.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nss-mdns (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-08 13:07 EDT by David Woodhouse
Modified: 2010-12-05 01:44 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 01:44:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2009-07-08 13:07:30 EDT
A number of times recently, firefox has taken to reporting that it is unable to connect to a web site. But tcpdump shows no attempt to connect it, and if I try connecting with telnet from the command line it works fine. 

When this happens, it persists for a few minutes. Going offline and then online doesn't work, and it even sometimes seems to persist when I restart firefox.

There has been no network outage, and I see no reason for the error.
Comment 1 Andre Robatino 2009-07-08 15:48:28 EDT
Is your ISP Verizon by any chance?  They were having serious connectivity issues this morning that should be cleared up now.
Comment 2 David Woodhouse 2009-07-09 06:39:54 EDT
No. As I said, there were _no_ network outages. At the time this is happening (repeatedly) in firefox, I can do DNS lookups and connect to the web site with 'telnet'. And tcpdump from my end shows that there is no _attempt_ to connect.

It did it again this morning with lwn.net, although this time going offline and online again did 'fix' it.
Comment 3 Matěj Cepl 2009-07-20 10:37:10 EDT
Hi, David,

any ideas for more information? I really don't know what to do much with this just with the information you provided, and I don't see many people jumping here to have duplicates.
Comment 4 Martin Stransky 2009-07-20 10:54:35 EDT
Maybe something with nss-mdns? Does other mozilla-based apps work? like epiphany, seamonkey...
Comment 5 Herr Irrtum 2009-07-23 04:30:13 EDT
(In reply to comment #4)
> Maybe something with nss-mdns? Does other mozilla-based apps work? like
> epiphany, seamonkey...  

Very good guessing, Martin!

Yesterday I updated wine to 1.25 (I guess) using this command

yum --enablerepo=updates-testing upgrade wine

wine depends for a odd reason nowadays on nss-mdns (a i586 package - surely because wine is .i586 itself).

After this I had very (un!)funny network effects. I could nslookup and ping anything but firefox and wget did not resolve www- addresses anymore.

"yum remove nss-mdns" and rebooting (I didn't want to find out which services should have to be restarted to avoid this) helps (but unfortunately removes wine as well - got to install an older wine again).

Of course I own a 64 bit fedora.

For my taste the bug report should be named like "wine on testing depends on nss-mdns.i586 -> breaks network on 64bit Fedora" but I am not sure if wine is always the reason for installing nss-mdns.i586 on 64 bit systems.

Best regards,
Herr Irrtum
Comment 6 Chris Campbell 2009-11-28 11:31:54 EST
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 David Woodhouse 2009-12-09 20:03:59 EST
Happened again today (Fedora 12). I can telnet to port 80 of bugzilla.moblin.org, but firefox tells me it can't connect. A few minutes later, firefox works fine again.

I have nss-mdns.i686 installed, but not the x86_64 version.

How do I go about debugging it? It seems to give me no real indication about what really happened.
Comment 8 pleabargain 2009-12-11 08:54:39 EST
Maybe related?
https://bugzilla.mozilla.org/show_bug.cgi?id=533452
https://bugzilla.mozilla.org/show_bug.cgi?id=533929


I'm unable to get Firefox or Chrome or Chromium to play nice except for Opera, Opera is fast (but sucks because of bad .js support) ...
the network is fast.

Fx spikes the network with initial request then flatlines.


See videos of problem here:
http://sites.google.com/site/morefedora12/animated-gifs-of-fedora12-in-action
and here
http://sites.google.com/site/lifewithfedora12/home/all-animated-gif

What command can I use to ID if Fx is pulling data? tcdump? I WANT to solve this! My XP and Vista machines on same network run fast on the internet and my manager is getting very skeptical about Linux in general...
Comment 9 Michal Schmidt 2009-12-14 12:05:02 EST
(In reply to comment #7)
> I have nss-mdns.i686 installed, but not the x86_64 version.
> 
> How do I go about debugging it? It seems to give me no real indication about
> what really happened.  

Since nss-mdns is suspected, please attach your /etc/nsswitch.conf.
Does it make any difference if you remove nss-mdns?
Does it make any difference if you install nss-mdns.x86_64?
Comment 10 Michal Schmidt 2009-12-14 12:07:17 EST
I'm thinking if these bugs as possibly related or even duplicate:
https://bugzilla.redhat.com/show_bug.cgi?id=521310
https://bugzilla.redhat.com/show_bug.cgi?id=523690
Comment 11 Bug Zapper 2010-11-04 06:49:41 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2010-12-05 01:44:09 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.